@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
@import url('../fontiran.css');
@import url('../icomoon.css');
@import url('../fonts/fontawesome.pro.6.4.2/css/all.css');

html, body {
    font-family: 'Yekan Bakh FaNum', 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

body {
    margin: 0;
    background-position-x: left;
    background-position-y: -50px;
    background-size: 100%;
    transition: background 1s ease;
    background-repeat:no-repeat;
    overflow-x:hidden;
}

.flight-bg {    
    background-image: url('../images/banner/flight3.jpg');       
}

.hotel-bg {
    background-image: url('../images/banner/hotel.jpg');
}

.tour-bg {
    background-image: url('../images/banner/tour3.jpg');
}

.package-bg {
    background-image: url('../images/banner/tour.jpg');
}

.dubai-bg {
    background-image: url('../images/banner/dubai.jpg');
}

.train-bg {
    background-image: url('../images/banner/train.jpg');
}

.bus-bg {
    background-image: url('../images/banner/bus.jpg');
}

.insurance-bg {
    background-image: url('../images/banner/insurance2.jpg');
}

.visa-bg {
    background-image: url('../images/banner/visa.jpg');
}

.cip-bg {
    background-image: url('../images/banner/cip.jpg');
}

.car-bg {
    background-image: url('../images/banner/carrental.jpg');
}

.atabat-bg {
    background-image: url('../images/banner/atabat.jpg');
}

.entertainment-bg {
    background-image: url('../images/banner/entertainment.jpg');
}

.ql-editor {
    background-color: #ffffff;
    font-family: 'Yekan Bakh FaNum';
    direction: rtl;
    text-align: right !important;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

.mud-appbar
{
    height:70px;
}

.mud-appbar.mud-appbar-fixed-top {    
    border-radius: 0 0 30px 30px;
    _height: 100px;
}

.mud-appbar.mud-appbar-fixed-top.appbar-fullrect {
    border-radius: 0;
}

.mud-icon-size-small {
    font-size: 1.15rem;
}

.rounded-lg {
    border-radius: 28px !important;
}

.mud-fab-size-small
{
    width:44px;
    height:44px;
}

._mud-appbar {
    width: 84%;
}

.gold-white {
    background-color: #2f7fa5;
    color: white;
}



.gold-white:hover {
    background-color: #24689f;
}

.menu-link
{
    color:black !important;
    font-weight:600;
    font-size:0.9rem;    
}

.menu-link > .mud-button > .mud-button-label {
    color: black !important;
    font-weight: 600;
    font-size: 0.9rem;
}

.menu-link:hover {
    color: #1B79A5 !important;
    text-decoration: none !important;
    transition: all .5s ease
}

.menu-link2 {
    color: #fdc255 !important;
    font-size: .7rem;
    font-weight:600;
}

    .menu-link2:hover {
        color: #fda606 !important;
        text-decoration: none !important;
        transition: all .5s ease
    }

.purple-green {
    background-color: #6ac5bb;
    color: #0023ff;
}

.purple-green2 {
    background-color: #6ac5bb;
    color: #0023ff;
    border: solid 1px #b99855;
}

.purple-gold {
    background-color: #1B79A5;    
    color: white;
}

.card-purple {
    background-color: navy;
    color: #ffffff;
}

.card-purple .mud-card-header {
    color: #cbb26a;
}

.card-button {
    background-color: white;
    color: #371d59;
    min-height: 115px;
    border-radius: 30px;
    text-align: center;
    padding-top: 20px;
    display: flex;
    align-items: center;
}

.card-button > div > i {
    color: #b99855;
}

.card-button > div > span {
    font-size: medium;
    font-weight: 500;
}

.card-button-active > div {
    background-color: navy;
    /*#0026f1*/
}

.card-button-active > div > div > span {
    color:white;
}

.card-footer {
    background: var(--mud-palette-primary);
    border-radius: 0 0 30px 30px !important;
    height: 70px;
    text-align: center;
}

.yekan {
    font-family: 'Yekan Bakh FaNum';
}

.radius7{
    border-radius:7px;
}


.radius20 {
    border-radius: 20px;
}

.radius20-right {
    border-radius: 0 20px 20px 0;
}

.radius20-left-top {
    border-radius: 20px 0 0 0;
}

.radius20-left-bot {
    border-radius: 0 0 0 20px;
}

.hotel-image
{
    height:100%;
    max-width:250px;
}

.radius30 {
    border-radius: 30px;
}

.radius30-top {
    border-radius: 30px 30px 0 0;
}

.radius30-bottom {
    border-radius: 0 0 30px 30px;
}

.radius30-left {
    border-radius: 30px 0 0 30px;
}

.diagonal-container {
    position: relative;
    display: block;
    overflow: hidden;
    width: 250px;
    height: 200px;
}

.diagonal-container .mud-image {
    display: block;
}

.diagonal-band {
    position: absolute;
    top: 100px;
    right: -40px;
    width: 200px;
    height: 30px;
    background-color: rgba(255, 0, 0, 0.8); /* Red background */
    transform: rotate(45deg);
    transform-origin: top right;
    z-index: 1;
    display: flex;
    align-items: center;
    justify-content: center;
}

    .diagonal-band .band-text {
        color: white;
        font-weight: bold;
        text-transform: uppercase;
        text-align: center;
        width: 140px; /* Adjust width to fit text */
        white-space: nowrap;
    }

    .diagonal-band::before {
        content: "";
        position: absolute;
        top: -20px; /* Adjust to position correctly */
        right: 0;
        width: 100%;
        height: 20px; /* Height of the folded part */
        background-color: rgba(0, 0, 0, 0.2); /* Darker shade for folded part */
        transform: skewY(45deg);
        transform-origin: top right;
    }

.radius30-right {
    border-radius: 30px 0;
}

.bg-white-trans{
    background-color: rgba(255,255,255,.9);
}

.bg-Success50 {
    background-color: var(--mud-palette-success-hover) !important;
}

.bg-Error50 {
    background-color: var(--mud-palette-error-hover) !important;
}

.bg-Info50 {
    background-color: var(--mud-palette-info-hover) !important;
}

.bg-transparent {
    background: transparent;
}

.fa-25x {
    font-size: 2.5em;
}

.footer {
    background: var(--mud-palette-appbar-background);
    height: 300px;
    bottom: 0;
    left: 0;
    width: 100%;
    padding-right: 100px;
    padding-left: 100px;
    padding-top: 30px;
    box-shadow: 6px 0 4px -4px rgba(0,0,0,.2), -6px 0 4px -4px rgba(0,0,0,.2);
    background-image: url('../images/footer.jpg') !important;
    background-repeat: no-repeat;
    background-size: initial;
    background-position-x: top;
    margin-top: 100px !important;
    border-radius: 30px 30px 0 0;
}

.footer-crown {
    height: 100px;
    border-radius: 70% 70% 0 0;
    right: 8%;
    left: 8%;
    background: var(--mud-palette-appbar-background);
    width: 84%;
    position: relative;
    top: 50px;
}

.footer-bottom {
    height: 70px;
    width: 100%;
    text-align: center;
    bottom: 0;    
}

.carousel-item250 {
    height: 250px !important;    
    border-radius:30px;
}


.carousel-item200 {
    height: 180px !important;
    border-radius: 30px;
}

.wh100{
    width:100%;
    height:100% !important;
}

.carousel-flex {
    height: 100%;
    width: 85%;
    margin: auto;
    margin-top: 10px;
}

.bold
{
    font-weight:bold !important;
}

.text-center
{
    text-align:center !important;
}

.text-left {
    text-align: left !important;
}

.text-right {
    text-align: right !important;
}

.text-justify {
    text-align: justify !important;
}

.text-xs {
    font-size: .75rem;
}

.radius30-right {
    border-radius:0 30px 30px 0;
}

.mud-typography {
    font-family: 'Yekan Bakh FaNum' !important;
}

.mud-button-label {
    font-family: 'Yekan Bakh FaNum' !important;
}

.SourceDestRow
{
    max-height:50px;
    height:40px;
}

.SourceCtrl {
    position: relative;
    border: solid 0px green;
    width: calc(50% - 20px);    
}

.SwapCtrl {
    position: relative;
    border: solid 0px green;    
    right: calc(50% - 20px);
    width: 40px;
    top: -25px;
}

.DestCtrl {
    position: relative;
    border: solid 0px blue;
    width: calc(50% - 20px);
    right: calc(50% + 20px);
    top: -76px;
}

.login-menu{    
    margin-top:10px;
}

.bg-none
{
    background: none !important;
}

.earth {
    width: 95%;
    height: 80vh;
    min-height: 500px;
    border: 1px solid #fff; /* Blue border for the Earth */
    border-radius: 50%; /* Create a circular shape */
    position: relative;
    margin: auto;
    background: navy;
    box-shadow: inset 0 0 50px #fff, /* inner white */
    inset 20px 0 20px #045feb, /* inner left magenta short */
    inset -20px 0 80px #6dcff6, /* inner right cyan short */
    inset 20px 0 300px #045feb, /* inner left magenta broad */
    inset -20px 0 300px #6dcff6, /* inner right cyan broad */
    0 0 50px #fff, /* outer white */
    -10px 0 80px #045feb, /* outer left magenta */
    10px 0 80px #6dcff6; /* outer right cyan */

    display: flex;
    justify-content: center;
    align-items: center;
}

/* Styling for meridians */
.meridian1 {
    position: absolute;
    border: 1.5px solid #444480; /* Blue border for the Earth */
    height: calc(100% - 0px);
    left: 35%;
    width: 30%;
    border-radius: 50%; /* Create a circular shape */
}

.meridian2 {
    position: absolute;
    border: 1.5px solid #444480; /* Blue border for the Earth */
    height: calc(100% - 0px);
    left: 15%;
    width: 70%;
    border-radius: 50%; /* Create a circular shape */
}


/* Styling for orbits */
.orbit1 {
    position: absolute;
    border: 1.5px solid #444480; /* Blue border for the Earth */
    width: calc(100% - 0px);
    top: 35%;
    height: 30%;
    border-radius: 50%; /* Create a circular shape */
    /*background: rgba(255,255,255,.8);*/
}

.orbit2 {
    position: absolute;
    border: 1.5px solid #444480; /* Blue border for the Earth */
    width: calc(100% - 0px);
    top: 15%;
    height: 70%;
    border-radius: 50%; /* Create a circular shape */
}

.orbit3 {
    
    border: 1px solid #444480; /* Blue border for the Earth */
    width: calc(100% - 3px);
    top: 50%;
    height: 2px;
    border-radius: 50%; /* Create a circular shape */
}

/* Styling for buttons */
.button1C {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(15% - 3px);
    left: 27.5%;
    width: 45%;
    border-radius: 80% 80% 0 0;
    z-index: 999;
    text-align: center;    
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button4C {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(20% - 3px);
    left: 7%;
    width: 85%;
    top: 65%;
    border-radius: 0 0 45% 45%;
    z-index: 999;
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.buttonSlogan {
    position: absolute;
    border: 0px solid pink;
    height: calc(30% - 3px);
    left: 0;
    width: 100%;
    top: calc(35% + 3px);
    border-radius: 30%;
    z-index: 999;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 6rem;
    color: white;
    
}

.buttonSlogan > p {
    position: relative;
    font-family: Geneva, sans-serif;
    font-size: 60px;
    text-transform: uppercase;
    letter-spacing: 2px;
    background: linear-gradient(90deg, #045de7, #fff, #000);
    background-repeat: no-repeat;
    background-size: 60%;
    animation: animate 2s infinite;
    -webkit-background-clip: text;
    -webkit-text-fill-color: rgba(255, 255, 255, 0);
}

.buttonSlogan > div {
    position: relative;
    background: linear-gradient(90deg, #045de7, #2929ff, red);
    background-repeat: no-repeat;
    background-size: 80%;
    animation: animate 2s infinite;
    -webkit-background-clip: content-box;
    -webkit-text-fill-color: rgba(255, 255, 255, 0);
    z-index:1001;
    top:-2px;
}

.no-wrap{
    white-space:nowrap !important;
}

@keyframes animate {
    0% {
        background-position: -500%;
    }

    100% {
        background-position: 500%;
    }
}
.button2C {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(20% - 3px);
    left: 7%;
    width: 85%;
    top: 15%;
    border-radius: 45% 45% 0 0;
    z-index: 999;
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button2L {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(16% - 3px);
    /*left: 5%;
    width: 22%;
    top: 20%;*/
    left: 15%;
    width: 22%;
    top: 4%;
    border-radius: 60% 10% 0 0;
    z-index: 999;
    transform: rotate(-10deg);
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button2R {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(16% - 3px);
    /*right: 5%;
    width: 22%;
    top: 20%;*/
    right: 15%;
    width: 22%;
    top: 4%;
    border-radius: 10% 60% 0 0;
    z-index: 999;
    transform: rotate(10deg);
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button3L {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(52% - 3px);
    left: 0;
    width: 14.5%;
    top: 25%;
    border-radius: 80% 0 0 90%;
    z-index: 999;
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button3R {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(52% - 3px);
    right: 0;
    width: 14.5%;
    top: 25%;
    border-radius: 0 80% 90% 0;
    z-index: 999;
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button4L {
    position: absolute;
    border: 0px solid pink;
    height: calc(22% - 3px);
    left: 15%;
    width: 20%;
    top: 70%;
    border-radius: 0 0 0 90%;
    z-index: 999;
    transform: rotate(10deg);
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.button4R {
    position: absolute;
    border: 0px solid pink; /* Blue border for the Earth */
    height: calc(22% - 3px);
    right: 15%;
    width: 20%;
    top: 70%;
    border-radius: 0 0 90% 0;
    z-index: 999;
    transform: rotate(-10deg);
    text-align: center;
    display: flex; /* Enable flexbox */
    justify-content: center; /* Center content horizontally */
    align-items: center; /* Center content vertically */
}

.transform {
    -webkit-transition: all 2s ease;
    -moz-transition: all 2s ease;
    -o-transition: all 2s ease;
    -ms-transition: all 2s ease;
    transition: all 2s ease;
}

.transform-active {
    background-color: #45CEE0;
    height: 200px;
    width: 200px;
}
.swiper-button-next:after, .swiper-button-prev:after
{
    font-size:20px !important;
}

.swiper {
    width: 100%;
    height: 100px;
    margin: 20px auto;
}

.swiper-slide {
    text-align: center;
    font-size: 15px;
    /*background: rgba(246,246,246,1);*/
    background: var(--mud-palette-surface);
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-image {
    padding-bottom: 15px;    
}

.swiper-horizontal > .swiper-pagination {
    position: absolute;
    bottom: 0;
}

.swiper-pagination-bullet {
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 20px;
    font-size: 10px;
    color: #000;
    opacity: 1;
    background: rgba(0, 0, 0, 0.01);
}

.swiper-select {
    border: solid 1.75px red;
    border-radius: 5px;
}

.swiper-button-next, .swiper-button-prev {
    background: rgba(255, 255, 255, .6);
    width: 40px;
    height: 40px;
    border-radius: 100%;
    font-weight: 700;
}

.swiper-view-button{
    height:40px;
}

.swiper-pagination-bullet-active {
    color: #fff;
    background: var(--mud-palette-info);
}

    .swiper-select > .mud-typography-body2 {
        font-weight: 700;
        text-shadow: 1px 1px 3px darkgray
    }

.append-buttons {
    text-align: center;
    margin-top: 20px;
}

.append-buttons a {
    display: inline-block;
    border: 1px solid #007aff;
    color: #007aff;
    text-decoration: none;
    padding: 4px 10px;
    border-radius: 4px;
    margin: 0 10px;
    font-size: 13px;
}

.font10 {
    font-size: 10px !important;
}

.font11 {
    font-size: 11px !important;
}

.font12 {
    font-size: 12px !important;
}


.font14 {
    font-size: 14px !important;
}

.font16 {
    font-size: 16px !important;
}

.font18 {
    font-size: 18px !important;
}

.font20 {
    font-size: 20px !important;
}

.font22 {
    font-size: 22px !important;
}

.font24 {
    font-size: 24px !important;
}

.font14 .mud-input-text
{
    font-size:14px;
}

.font14 .mud-input-label {
    font-size: 14px !important;
    color: maroon !important;
}

.font14 .mud-list-item-text p {
    font-size: 14px !important;
}

.dir-ltr {
    direction: ltr;
}

.dir-rtl {
    direction: rtl;
}

.mud-switch1-left {
    width: 41%;
    float: left;
    text-align: right;
    padding-top: 8px;
    white-space: nowrap;
}

.mud-switch1-right {
    width: 57%;
    float: right;
    white-space: nowrap;
}

.mud-switch2-left {
    width: 48%;
    float: left;
    text-align: right;
    padding-top: 8px;
    white-space: nowrap;
}

.mud-switch2-right {
    width: 50%;
    float: right;
    white-space: nowrap;
}


.icon-purple .mud-treeview-item-icon svg {
    color: purple;
}

.icon-color1 .mud-treeview-item-icon svg {
    color: #3949AB;
}

.icon-color2 .mud-treeview-item-icon svg {
    color: #26C6DA;
}

.icon-color3 .mud-treeview-item-icon svg {
    color: #53250E;
}


.w-450px {
    max-width: 450px;
}

.h-450px {
    height: 450px;
}

.h-420px {
    height: 420px;
}

.h-470px {
    height: 470px;
}

.h-500px {
    height: 500px;
}

.h-550px {
    height: 550px;
}

.h-580px {
    height: 580px;
}


.text-active {
    /*color: #F9A519;*/
    color: #0c80df;
    font-size: 0.7rem;
}

.text-en {
    font-family: sans-serif !important;
    font-size: 0.7rem !important;
}

.text-normal {
    font-size: 0.7rem;
}

.w-100 {
    width: 100%;
}

.bg-white {
    background-color: white;
    border-radius: 5px !important;
}

.text-white{
    color: white !important;
}

/*.mud-input > input.mud-input-root-outlined, div.mud-input-slot.mud-input-root-outlined {
    padding: 18.5px 10px;
}*/

.mud-input-control.mud-input-control-margin-dense {
    margin: 0;
}

.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol {
    font-size: .85rem;
    font-weight: 600;    
}

/*.mud-input-control > .mud-input-control-input-container > .mud-select-input {
    font-size: .9rem;
    font-weight: 400;
}*/

.mud-input-control > .mud-input-control-input-container > .mud-input {
    color: var(--mud-palette-text-secondary);
    font-size: .85rem;
    font-weight: 600;   
}

.mud-input-control > .mud-input-control-input-container > .mud-disabled {
    color: var(--mud-palette-text-disabled);
}


.mud-table-header .mud-table-cell {
    background-color: #546e7a !important;
    color: white !important;
}

.bg-teal {
    background-color: #546e7a !important;
    color: white !important;
}

.mud-picker-datepicker-toolbar .mud-button-date
{
    font-size:1.3rem;    
}

.mud-table-sticky-header * .mud-table-root .mud-table-head * .mud-table-cell:first-child {
    border-radius: 0 var(--mud-default-borderradius) 0 0;
}

.mud-table-sticky-header * .mud-table-root .mud-table-head * .mud-table-cell:last-child {
    border-radius: var(--mud-default-borderradius) 0 0 0;
}


.mud-data-grid .mud-table-cell.sticky-left {
    right: 0;
    left: inherit !important;
    background-color: #e0f0f2;
}

.mud-data-grid .mud-table-cell.sticky-right {
    left: 0;
    right: inherit !important;
    background-color: #e0f0f2;
    width: 50px;
}


.sticky-left {
    right: 0;
    left: inherit !important;
    background-color: #e0f0f2 !important;
}

.sticky-right {
    position: sticky;
    right: 0;
    z-index: 1;
    background-color: #e0f0f2 !important;    
}

/*.mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense, 
div.small-dense .mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 18.5px;
    padding-bottom: 18.5px;
}*/

/*.small-dense .mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense,
.small-dense > div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 8.5px;
    padding-bottom: 8.5px;
}

.large-dense .mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense,
.large-dense > div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 13.5px;
    padding-bottom: 13.5px;
}
*/
.mud-input.mud-input-outlined .mud-input-outlined-border {
    display: flex;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    box-sizing: border-box;
    width: 100%;
    max-width: 100%;
    height: 100%;
    text-align: start;
    pointer-events: none;
    border-radius: var(--mud-default-borderradius);
    border-color: var(--mud-palette-lines-inputs);
    border-width: .5px;
    border-style: solid;
    transition: border-width, border-color 500ms cubic-bezier(1.4, 0, 0.2, 1) 200ms;
}

.mud-input-control > .mud-input-control-input-container > .mud-input-label-outlined.mud-input-label-inputcontrol {
    line-height: 18px;
    margin-top:-2px;    
    font-size:.9rem;    
}

.mud-input-control.mud-input-control-margin-dense.mud-input-outlined-with-label {
    margin-top: 0px;
    margin-bottom: 0px;    
}

.no-border .mud-input.mud-input-outlined .mud-input-outlined-border {
    border-width: 0px;
}

.no-border .mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense,
.no-border > div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 6.5px;
    padding-bottom: 4.5px;
    text-align: left;
}

.mud-input-control > .mud-input-control-input-container > .mud-input-label-inputcontrol {
    color: var(--mud-palette-text-secondary);
    padding: 0;
    font-size: .8rem;
    font-weight: 400;
    line-height: 1;
    letter-spacing: .00938em;
    z-index: 0;
    pointer-events: none;
}

.small-label > .mud-input-control-input-container > .mud-input-label-inputcontrol {
    color: var(--mud-palette-text-secondary);
    padding: 0;
    font-size: .5rem;
    font-weight: 400;
    line-height: 1;
    letter-spacing: .00938em;
    z-index: 0;
    pointer-events: none;
}


.rz-slider-handle {   
    --rz-slider-handle-background-color: var(--rz-info);
    background-color: var(--rz-slider-handle-background-color);
}

.rz-slider-range {
    --rz-slider-range-background-color: var(--rz-info);
    background-color: var(--rz-slider-range-background-color);
}

.background-gradient-animation {
    animation: background-gradient 18s ease infinite;
}

.background-tab-animation {
    animation: background-gradient 5s ease infinite;
}

@keyframes background-gradient {
    0% {
        background-position: 0% 50%
    }

    50% {
        background-position: 100% 50%
    }

    100% {
        background-position: 50% 0%
    }
}

.w20px {
    width: 20px !important;
}

.w30px {
    width: 30px !important;
}

.w40px {
    width: 40px !important;
}

.w50px {
    width: 50px !important;
}

.w60px {
    width: 60px !important;
}

.w70px {
    width: 70px !important;
}

.w80px {
    width: 80px !important;
}

.w90px {
    width: 90px !important;
}

.w100px {
    width: 100px !important;
}

.w110px {
    width: 110px !important;
}

.w120px {
    width: 120px !important;
}

.w130px {
    width: 130px !important;
}

.w140px {
    width: 140px !important;
}

.w150px {
    width: 150px !important;
}

.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}

.loading-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
    width: 50%; /* Set a specific width */
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Optional: add a shadow for better visibility */
}

.loading-steps {
    list-style-type: none;
    padding: 0;
}

.loading-steps li {
    margin: 10px 0;
    padding: 10px;
    background-color: #f0f0f0;
    border-radius: 5px;
}

.loading-steps li.completed {
    background-color: #4caf50;
    color: white;
}

.loading-steps li.in-progress {
    background-color: #f0f0f0;
}   

.loading-steps li.failed {
    background-color: #f44336;
    color: white;
}

.icon-flipped {
    transform: scaleX(-1);
    -moz-transform: scaleX(-1);
    -webkit-transform: scaleX(-1);
    -ms-transform: scaleX(-1);
}


@media print {
    
    .hidden-print {
        display: none;
    }
}

@media (max-width: 960px) {
    .SourceDestRow {
        max-height: 180px;
        height: 120px;
        border:solid;
    }

    .SourceCtrl {
        position: relative;
        border: solid 0px green;
        width: 100%;
    }

    .SwapCtrl {
        position: relative;
        border: solid 0px green;
        right: calc(100% - 10px);
        width: 40px;
        top: 10px;
    }

    .DestCtrl {
        position: relative;
        border: solid 0px blue;
        width: 100%;
        top: -10px;
        right: 0;
    }
}

@media (min-width: 1280px) {
    /*._mud-appbar {
        width: 84%;
    }

    .mud-custom-width {
        width: 84%;
    }   

    .footer
    {
        width:84%;
    }

    .footer-crown {
        width: 84%;
    }*/
}

@media (max-width: 1280px) {
    ._mud-appbar {
        width: 100%;        
    }

        ._mud-appbar.mud-appbar-fixed-top {
            position: fixed;
            top: 0;
            right: 0;
            left: 0;
            border-radius: 0 0 70% 70%;
            height: 100px;
        }


    .mud-custom-width {
        width: 100%;        
    }

    .footer {
        width: 100%;
        right: 0;
        left: 0;
    }

    .footer-crown {
        width: 100%;
        right: 0;
        left: 0;
    }
}

@media (min-width:960px) and (max-width:1100px) {
    .card-button {
        border: solid 0 red;
        min-width: 105px;
    }

    .card-purple
    {
        min-width:370px;
    }

    .w800-p100 {        
        padding-right: 70px !important;
    }
}


@media (min-width:480px) and (max-width:959px) {
    .card-button {
        border: solid 0 yellow;
        min-height: 25vw;
    }    
}

@media (max-width: 479px)
{
    .footer {
        height: 750px;
        background-repeat: repeat-y;
    }

    .footer-mobile
    {
        font-size:small;
    }

    .swiper-horizontal > .swiper-pagination {        
        bottom: -20px;        
    }

    .mud-carousel-next {
        position: relative;
        left: 15px;
        opacity: 0.75;
    }

    .mud-carousel-prev {
        position: relative;
        right: 15px;        
        opacity:0.75;
    }

    .mud-grid-spacing-xs-3 {
        width:auto;
    }

}
